# Uses of Class
org.eclipse.draw2d.ButtonBorder.ButtonScheme

Packages that use ButtonBorder.ButtonScheme
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of ButtonBorder.ButtonScheme in org.eclipse.draw2d

Fields in org.eclipse.draw2d declared as ButtonBorder.ButtonScheme
Modifier and Type
Field
Description
`static final ButtonBorder.ButtonScheme`
ButtonBorder.SCHEMES.`BUTTON`
Regular button scheme
`static final ButtonBorder.ButtonScheme`
ButtonBorder.SCHEMES.`BUTTON_CONTRAST`
Contrast button scheme
`static final ButtonBorder.ButtonScheme`
ButtonBorder.SCHEMES.`BUTTON_SCROLLBAR`
Scrollbar button scheme
`static final ButtonBorder.ButtonScheme`
ButtonBorder.SCHEMES.`TOOLBAR`
Toolbar button scheme
Constructors in org.eclipse.draw2d with parameters of type ButtonBorder.ButtonScheme
Modifier
Constructor
Description
``
`ButtonBorder(ButtonBorder.ButtonScheme scheme)`
Constructs a ButtonBorder with the input ButtonScheme set as its Scheme.